@import '../../../styles/mixins';
@import '../../../styles/medias';

header {
  margin-bottom: $margin * 4;
}

section {
  max-width: $max-width;

  & > section + section {
    margin-top: $margin * 3;
  }
  section {
    .container {
      display: grid;
      grid-template-columns: repeat(auto-fill, minmax(230px, min-content));
      gap: $margin;

      @include xs {
        grid-template-columns: 1fr;
      }

      .card {
        @include generic-layout(230px);
        height: 130px;
        @include xs {
          width: 100%;
        }

        background-image: url('/assets/images/circle-mask-3.svg');
        background-repeat: no-repeat;
        background-blend-mode: overlay;
        background-size: cover;
        background-position: right top;
        background-size: 40%;

        justify-content: flex-start;
        position: relative;
        background-color: $color-secondary;
        border: 1px solid $color-border;
        border-radius: $border-radius;
        padding: $padding;
        color: $color-text;
        @include rainbow-link();

        &__title {
          font-size: 18px;
        }

        &__content {
          p {
            font-size: 12px;
            line-height: 1rem;
          }
        }

        &__link {
          position: absolute !important;
          z-index: 1;
          right: $margin;
          bottom: $margin;
          width: 70px;
          height: 28px;
          align-self: flex-end;

          ::ng-deep {
            span {
              font-size: 11px;
            }
          }
        }
      }
    }
  }
}
